com.google.gwt.uibinder.elementparsers

## Class ImageParser

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.ImageParser

All Implemented Interfaces:
  ElementParser

    public class ImageParser
    extends java.lang.Object
    implements ElementParser

Custom parsing of Image widgets. Sets ImageResource via constructor, because `Image.setResource` clobbers most setter values.

### Constructor Summary

Constructors
Constructor and Description
`ImageParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageParser

    public ImageParser()

### Method Detail

#### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

Description copied from interface: `ElementParser`
Parse the given element, generating the code to initialize it from the element's attributes and children.

Specified by:
  `parse` in interface `ElementParser`
Parameters:
  `elem` - the element to be parsed
  `fieldName` - the name of the widget field to be initialized
  `type` - TODO
  `writer` - the writer
Throws:
  `UnableToCompleteException` - on error